Skip to content

Tree type resource authentication

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Tree type resource authentication, supports users to perform permission judgment on one or more tree resources

Method name

AuthenticationClient.checkPermissionByTreeResource

Request parameters

NameTypeIs it requiredDefault valueDescriptionSample value
resourcesstring[]Yes-Tree data resource path list,["treeResourceCode1/StructCode1/resourceStructChildrenCode1","treeResourceCode1/StructCode1/resourceStructChildrenCode2","treeResourceCode1/StructCode2"]
actionstringYes-Data resource permission operation, read, get, write and other actionsget

Sample code

ts
import { AuthenticationClient, Models } from "authing-node-sdk";

const authenticationClient = new AuthenticationClient({
  // Need to be replaced with your GenAuth AppId, Secret and Host
  appId: "GEN_AUTH_APP_ID",
  appSecret: "GEN_AUTH_APP_SECRET",
  appHost: "GEN_AUTH_APP_HOST",
});

(async () => {
  // Please call the login interface to get access_token first, and call the setAccessToken method to set access_token
  authenticationClient.setAccessToken("REPLACE_ME_WITH_REAL_ACCESS_TOKEN");

  const result = await authenticationClient.checkPermissionByTreeResource({
    action: "get",
    resources: [
      "treeExampleResourceCod/childrenCode",
      "treeExampleResourceCod/childrenCode/childrenCode1",
    ],
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: CheckResourcePermissionsRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a CheckResourcePermissionDataDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "checkResultList": {
      "namespaceCode": "examplePermissionNamespace",
      "action": "get",
      "resource": "exampleResource",
      "enabled": true
    }
  }
}

Data structure

CheckResourcePermissionDataDto

NameTypeIs it required?DescriptionSample value
checkResultListarrayYesCheck result list Nested type: <a CheckResourcePermissionRespDto.

CheckResourcePermissionRespDto

NameTypeIs it required?DescriptionSample value
namespaceCodestringyesPermission space CodeexamplePermissionNamespace
actionstringyesData resource permission operationget
resourcestringyesResource pathexampleResource
enabledbooleanyesWhether the user has a certain operation on the data resource under a certain permission spacetrue

Agent infrastructure for identity, memory, and web action.